Bug 1783041 - dnf seems to ignore retries and skip_if_unavailable when reading repo cache
Summary: dnf seems to ignore retries and skip_if_unavailable when reading repo cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Hrázký
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-12 21:34 UTC by Mike McLean
Modified: 2020-02-22 01:16 UTC (History)
11 users (show)

Fixed In Version: dnf-4.2.18-1.fc31 dnf-4.2.18-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-25 06:34:46 UTC
Type: Bug


Attachments (Terms of Use)
a script that demonstrates the issue (1.83 KB, text/plain)
2019-12-12 21:34 UTC, Mike McLean
no flags Details

Description Mike McLean 2019-12-12 21:34:13 UTC
Created attachment 1644571 [details]
a script that demonstrates the issue

Description of problem:
Even though I set `retries=15` and `skip_if_unavailable=False` for a repo, dnf seems to skip the repo after only 3 retries with no error given.


Version-Release number of selected component (if applicable):
dnf-4.2.17-1.fc31.noarch
dnf-4.2.5-5.fc29.noarch


How reproducible:
100% so far


Steps to Reproduce:
script attached

Comment 1 Lukáš Hrázký 2019-12-16 13:02:11 UTC
The retries option works only for downloading packages. The documentation is lacking here, I'll adjust it. I don't think we support setting the number of retries for repository metadata files.

Comment 2 Lukáš Hrázký 2019-12-16 13:52:36 UTC
PR: https://github.com/rpm-software-management/dnf/pull/1552

Comment 3 Lukáš Hrázký 2019-12-17 12:09:58 UTC
The documentation was updated. FTR if anyone would like us to implement adjusting the number of retries for repository metadata, I think it would be low on our priority list. The code for that is overly complex, so it wouldn't be trivial to implement and we have other priorities. The plan is to fix this part sometime in the future, when we can dedicate the time it's going to need.

Comment 4 Fedora Update System 2020-01-16 21:13:02 UTC
dnf-4.2.18-1.fc30, dnf-plugins-core-4.0.13-1.fc30, libdnf-0.43.1-1.fc30, microdnf-3.4.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-66c974fdb6

Comment 5 Fedora Update System 2020-01-16 21:39:41 UTC
dnf-4.2.18-1.fc31, dnf-plugins-core-4.0.13-1.fc31, libdnf-0.43.1-1.fc31, microdnf-3.4.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9542e3ccfd

Comment 6 Fedora Update System 2020-01-25 06:34:46 UTC
dnf-4.2.18-1.fc31, dnf-plugins-core-4.0.13-1.fc31, libdnf-0.43.1-1.fc31, microdnf-3.4.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-02-07 01:03:37 UTC
dnf-4.2.18-1.fc30, dnf-plugins-core-4.0.13-1.fc30, libdnf-0.43.1-2.fc30, microdnf-3.4.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-66c974fdb6

Comment 8 Fedora Update System 2020-02-22 01:16:12 UTC
dnf-4.2.18-1.fc30, dnf-plugins-core-4.0.13-1.fc30, libdnf-0.43.1-2.fc30, microdnf-3.4.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.